<mamecheat version="1">

  <cheat desc="Kill Dragon Now!!">
    <script state="on">
      <action>maincpu.pb@100B3B=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@100036=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@100037=0C</action>
    </script>
  </cheat>

  <cheat desc="Fill Magic Bar to Top PL1">
    <script state="on">
      <action>maincpu.pb@10003E=80</action>
    </script>
  </cheat>

  <cheat desc="Stop Magic Bar decreasing PL1">
    <script state="run">
      <action>maincpu.pb@10003E=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>To be used when you blink</comment>
    <script state="run">
      <action>maincpu.pb@10004B=C0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Gloves PL1">
    <script state="on">
      <action>maincpu.pb@100017=40</action>
    </script>
    <script state="run">
      <action>maincpu.pb@100086=0A</action>
      <action>maincpu.pb@100038=10|(maincpu.pb@100038 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Boots PL1">
    <script state="on">
      <action>maincpu.pb@100048=02</action>
    </script>
    <script state="run">
      <action>maincpu.pb@100084=0A</action>
      <action>maincpu.pb@100038=20|(maincpu.pb@100038 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1000B6=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@1000B7=0A</action>
    </script>
  </cheat>

  <cheat desc="Fill Magic Bar to Top PL2">
    <script state="on">
      <action>maincpu.pb@1000BE=80</action>
    </script>
  </cheat>

  <cheat desc="Stop Magic Bar decreasing PL2">
    <script state="run">
      <action>maincpu.pb@1000BE=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>To be used when you blink</comment>
    <script state="run">
      <action>maincpu.pb@1000CB=C0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Gloves PL2">
    <script state="on">
      <action>maincpu.pb@100097=40</action>
    </script>
    <script state="run">
      <action>maincpu.pb@100106=0A</action>
      <action>maincpu.pb@1000B8=10|(maincpu.pb@1000B8 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Boots PL2">
    <script state="on">
      <action>maincpu.pb@1000C8=02</action>
    </script>
    <script state="run">
      <action>maincpu.pb@100104=0A</action>
      <action>maincpu.pb@1000B8=20|(maincpu.pb@1000B8 BAND ~20)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
